curl --location --request POST 'https://app.chatwize.ai/api/v1/chatbot/{uuid}/session/create' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
import requests
uuid = '<chatbot-uuid>'
url = f'https://app.chatwize.ai/api/v1/chatbot/{uuid}/session/create'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
response = requests.post(url, headers=headers, params=params)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require('axios');
const uuid = '<chatbot-uuid>'
const url = `https://app.chatwize.ai/api/v1/chatbot/${uuid}/session/create`;
const headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
};
axios.post(url, { headers })
.then(response => {
console.log('Request successful!');
console.log(response.data);
})
.catch(error => {
console.error('Request failed:', error);
});
{
"created_at": "string",
"modified_at": "string",
"uuid": "string"
}
Chatbot Sessions
Create Session
Create a chat session for a chatbot specified by chatbot uuid
POST
/
api
/
v1
/
chatbot
/
{uuid}
/
session
/
create
curl --location --request POST 'https://app.chatwize.ai/api/v1/chatbot/{uuid}/session/create' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
import requests
uuid = '<chatbot-uuid>'
url = f'https://app.chatwize.ai/api/v1/chatbot/{uuid}/session/create'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
response = requests.post(url, headers=headers, params=params)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require('axios');
const uuid = '<chatbot-uuid>'
const url = `https://app.chatwize.ai/api/v1/chatbot/${uuid}/session/create`;
const headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
};
axios.post(url, { headers })
.then(response => {
console.log('Request successful!');
console.log(response.data);
})
.catch(error => {
console.error('Request failed:', error);
});
{
"created_at": "string",
"modified_at": "string",
"uuid": "string"
}
Path
Response
curl --location --request POST 'https://app.chatwize.ai/api/v1/chatbot/{uuid}/session/create' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
import requests
uuid = '<chatbot-uuid>'
url = f'https://app.chatwize.ai/api/v1/chatbot/{uuid}/session/create'
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
}
response = requests.post(url, headers=headers, params=params)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require('axios');
const uuid = '<chatbot-uuid>'
const url = `https://app.chatwize.ai/api/v1/chatbot/${uuid}/session/create`;
const headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer <token>'
};
axios.post(url, { headers })
.then(response => {
console.log('Request successful!');
console.log(response.data);
})
.catch(error => {
console.error('Request failed:', error);
});
{
"created_at": "string",
"modified_at": "string",
"uuid": "string"
}
⌘I